Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.persistence.testing
Class GlacierPersistentStorageTest

    java.lang.Object
      rice.persistence.testing.GlacierPersistentStorageTest

public class GlacierPersistentStorageTest
extends java.lang.Object

This class is a class which tests the PersistentStorage class in the rice.persistence package.

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh

Constructor Summary
`GlacierPersistentStorageTest(java.lang.String root)` Builds a MemoryStorageTest

Method Summary
`static void` | `main(java.lang.String[] args)` The main program for the GlacierPersistentStorageTest class
`protected void` | `process(java.io.File file)` DESCRIBE THE METHOD
`void` | `start()` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlacierPersistentStorageTest

    public GlacierPersistentStorageTest(java.lang.String root)
                                 throws java.io.IOException

  Builds a MemoryStorageTest

Parameters:
  `root` - DESCRIBE THE PARAMETER
Throws:
  `java.io.IOException` - DESCRIBE THE EXCEPTION

Method Detail

### start

    public void start()
               throws java.lang.Exception

  DESCRIBE THE METHOD

  Throws:
    `java.lang.Exception` - DESCRIBE THE EXCEPTION

### process

    protected void process(java.io.File file)
                    throws java.lang.Exception

  DESCRIBE THE METHOD

  Parameters:
    `file` - DESCRIBE THE PARAMETER
  Throws:
    `java.lang.Exception` - DESCRIBE THE EXCEPTION

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  The main program for the GlacierPersistentStorageTest class

  Parameters:
    `args` - The command line arguments
  Throws:
    `java.lang.Exception` - DESCRIBE THE EXCEPTION

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.